Bug 613431 - lxpanel menu doesent honor exclude statement
lxpanel menu doesent honor exclude statement
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: menu-cache (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2010-07-11 10:25 EDT by Rudolf Kastl
Modified: 2015-02-18 08:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:27:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2010-07-11 10:25:02 EDT
Description of problem:
actually the lxpanel menu doesent honor the exclude statement so there is a duplicated list of all items in the main category menu folder as well as there are sorted into subfolders as expected when they are added via xdg xml.

Version-Release number of selected component (if applicable):
lxpanel-0.5.5-3.fc14.x86_64


How reproducible:
always


Steps to Reproduce:
1. install games-menus
2. look into the menus
3. see the desktop entrys in the subfolders as well as duplicated in the "main category"
  
Actual results:
duplicate entrys

Expected results:
make it honor the exclude statement properly as with /etc/xdg/menus/applications-merged/games-categories.menu provided by games-menus. the exclude and category statements are layed out here: http://standards.freedesktop.org/menu-spec/latest/ar01s04.html

Additional info:
Comment 1 Rudolf Kastl 2010-07-11 10:34:28 EDT
reported upstream here:

http://sourceforge.net/tracker/?func=detail&aid=3028076&group_id=180858&atid=894872
Comment 2 Christoph Wickert 2010-07-13 11:48:52 EDT
I don't think this is necessarily a bug in lxpanel but rather in the default menu-file, which would then be part of the lxmenu-data package. lxpanel and menu-cache both honor "Exclude", and they behave correct because the games should not excluded from the 'Games' group but only from the submenus. The Games menu needs "only unallocated" or something.

I will need to look into that, but I think it can be fixed in the menu file.
Comment 3 Christoph Wickert 2010-07-27 18:33:42 EDT
It's not the menu file, it's in the code.
Comment 4 Bug Zapper 2010-07-30 08:30:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Christoph Wickert 2010-10-07 07:04:52 EDT
Dear bugzappers, please stop this BS...

The bug is in menu-cache, not lxpanel. A slightly related issue:
https://sourceforge.net/tracker/?func=detail&aid=3082894&group_id=180858&atid=894869
Comment 6 Fedora End Of Life 2013-04-03 16:00:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 16:44:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:27:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.